Subject: [RTGWG] Soliciting WG feedback and comments on draft-li-rtgwg-cc-igp-arch-00.txt

From: Lizhenbin <[email-masked]>
Date: Mon, 21 Oct 2013 15:22:41 +0000

Hi all,

We had submitted a new draft: http://tools.ietf.org/html/ draft-li-rtgwg-cc-igp-arch-00, Your feedback and comments on the RTGWG mailing list are appreciated. Please refer to following introduction on the draft:

   As the Software Defined Networks (SDN) solution develops, IGP will be
   extended to support central control.  This document introduces an
   architecture of using IGP for central controlling. 

   Central Control Architecture propose following requirements related with IGP:
   1.  Build the central control architecture between the controller and
   the client.  It includes building connectivity, collecting the
   topology, and dividing multiple areas automatically, etc.

   2.  Many new applications are emerging under the central controlled
   framework, such as network virtualization, centralized MPLS TE
   calculation, segment routing, etc.  These new applications bring
   extension requirement to IGP.

We can look on [I-D.chen-ospf-ttz], [I-D.ylz-ospf-lsdb-sync-group], [I-D.li-ospf-ext-green-te], etc. as the concrete use cases of the central controlled IGP. We hope the architecture draft to help understand IGP usage in the central control globally and new requirements are proposed for the future development.

In addition, I recommend you could read another draft " draft-li-idr-cc-bgp-arch-00" for better understanding different protocol usage in the central control architecture,

Thanks,
Robin

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2013年10月21日 10:21
收件人: Huaimo Chen; Lizhenbin; Yangang
主题: New Version Notification for draft-li-rtgwg-cc-igp-arch-00.txt

A new version of I-D, draft-li-rtgwg-cc-igp-arch-00.txt
has been successfully submitted by Zhenbin Li and posted to the
IETF repository.

Filename:	 draft-li-rtgwg-cc-igp-arch
Revision:	 00
Title:		 An Architecture of Central Controlled Interior Gateway Protocol (IGP)
Creation date:	 2013-10-21
Group:		 Individual Submission
Number of pages: 11
URL:             http://www.ietf.org/internet-drafts/draft-li-rtgwg-cc-igp-arch-00.txt
Status:          http://datatracker.ietf.org/doc/draft-li-rtgwg-cc-igp-arch
Htmlized:        http://tools.ietf.org/html/draft-li-rtgwg-cc-igp-arch-00

Abstract:
   As the Software Defined Networks (SDN) solution develops, IGP will be
   extended to support central control.  This document introduces an
   architecture of using IGP for central controlling.  Some use cases
   under this new framework are also discussed.  For specific use cases,
   making necessary extensions in IGP are required.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat